Subject: bug#4538: 23.1; kill-line doesn't with show-trailing-whitespace

From: [email-masked]
Date: Thu, 24 Sep 2009 09:48:16 +0100

Glenn Morris <[email-masked]> wrote on 24/09/2009 04:28:41:

> [email-masked] wrote:
> 
> > Run emacs -q
> > open a buffer and enter a line of spaces
> > go to the beginning of line and kill line (C-a C-k)
> > The line is deleted through the newline to the next line
> > Now execute (setq show-trailing-whitespace t)
> > Again enter a line of spaces and go to the beginning of the line.
> > This time the spaces should be hilighted in red.
> > Now kill the line. The line is only killed up to the newline.
> 
> It seems this is deliberate:
> 
> http://lists.gnu.org/archive/html/emacs-devel/2004-02/msg00190.html
> 
> At first glance, it does seem a bit odd. It is also undocumented.
> 

I'd say it seems odd at second glance too :-)

I can't believe everybody wants this behaviour. So to that end
can I suggest the traditional emacs approach is adopted and
it is made configurable.

Regards

Andy Ling

-- 

Quantel is the trade name used by Quantel Holdings Limited and its 
subsidiaries.  Quantel Holdings Limited is registered in England & Wales. 
Registration No: 4004913 
Contact details for all Quantel Offices and Companies can be found on our 
website www.quantel.com or by writing to the holding company.
Registered address: Turnpike Road, Newbury, Berkshire, RG14 2NX, United 
Kingdom